alots of packages kept back with apt-get update

Discussion in 'Installation/Configuration' started by n30, Jul 14, 2016.

  1. n30

    n30 New Member

    [email protected]:~# apt-get upgrade
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    The following packages have been kept back:
    acpid amavisd-new apache2 apache2-mpm-prefork apache2-suexec apache2.2-bin
    apache2.2-common apt apt-utils aptitude aptitude-common bind9 bind9utils
    binutils build-essential clamav clamav-base clamav-daemon clamav-freshclam
    cpp cron dovecot-core dovecot-imapd dovecot-mysql dovecot-pop3d
    dovecot-sieve dpkg g++ gcc gettext imagemagick libalgorithm-diff-xs-perl
    libapache2-mod-fcgid libapache2-mod-php5 libapache2-mod-python
    libapt-pkg4.12 libasprintf0c2 libberkeleydb-perl libclamav7 libclone-perl
    libconvert-uulib-perl libcrypt-openssl-bignum-perl libcrypt-openssl-rsa-perl
    libcwidget3 libdbd-mysql-perl libdbi-perl libept1.4.12
    libfile-fcntllock-perl libgcc1 libgettextpo0 libgomp1 libhtml-parser-perl
    libio-socket-ssl-perl libitm1 liblocale-gettext-perl libnet-dns-perl
    libnet-ssleay-perl libnetaddr-ip-perl libopenexr6 libpango1.0-0 libpaper1
    libparams-classify-perl libquadmath0 librsvg2-2 librsvg2-common libsnmp-base
    libsocket6-perl libstdc++6 libsub-name-perl libtext-charwidth-perl
    libtext-iconv-perl libunix-syslog-perl libuuid-perl libxapian22
    libxml-parser-perl memcached mysql-client-5.5 mysql-server-5.5 openbsd-inetd
    openssh-client openssh-server perl perl-base perl-modules php-pear php5
    php5-cgi php5-cli php5-common php5-curl php5-fpm php5-gd php5-imagick
    php5-imap php5-intl php5-mcrypt php5-memcache php5-memcached php5-mysql
    php5-pspell php5-recode php5-snmp php5-sqlite php5-tidy php5-xcache
    php5-xmlrpc php5-xsl python-apt quota rsyslog spamassassin wget
    0 upgraded, 0 newly installed, 0 to remove and 112 not upgraded.

    if i do an dist-upgrade instead the websites stop working... and i dont find any solution ... anyone else?
     
  2. sjau

    sjau Local Meanie Moderator

    what do you mean website stops working? Can you post your sources.list?
     
  3. n30

    n30 New Member

    [email protected]:~$ cat /etc/apt/sources.list
    deb http://ftp.se.debian.org/debian/ jessie main
    deb-src http://ftp.se.debian.org/debian/ jessie main
    deb http://security.debian.org/ jessie/updates main
    deb-src http://security.debian.org/ jessie/updates main
    deb http://ftp.se.debian.org/debian/ jessie-updates main
    deb-src http://ftp.se.debian.org/debian/ jessie-updates main
     
  4. sjau

    sjau Local Meanie Moderator

    weird, why does it want o install apache 2.2 then?
     
  5. n30

    n30 New Member

    that i dont know... and i dont know why it have put all those packages kept back!
     
  6. n30

    n30 New Member

    but i would like to find an solution so it gets up to date.
     
  7. till

    till Super Moderator Staff Member ISPConfig Developer

    Maybe there is another file in /etc/apt/sources.list.d/ that loads the old repo?
     
  8. n30

    n30 New Member

    [email protected]:/etc/apt/sources.list.d$ ls -al
    total 8
    drwxr-xr-x 2 root root 4096 Oct 17 2014 .
    drwxr-xr-x 6 root root 4096 Aug 11 2015 ..
     
  9. n30

    n30 New Member

    so there was no files. any more suggestions ? would LOVE to have that box up to date.....
     
  10. till

    till Super Moderator Staff Member ISPConfig Developer

    Please post the output of:

    cat /etc/debian_version
     
  11. n30

    n30 New Member

    [email protected]:~# cat /etc/debian_version
    8.5
     
  12. Jesse Norell

    Jesse Norell Active Member

    If you do a dist-upgrade, everything is fine in the package management? You might be updating from apache2.2 to 2.4 there, and need to reconfigure ispconfig as if you had just performed an OS update.
     
  13. n30

    n30 New Member

    if i do i dist-upgrade it looks like this. but after no website works. ive tried out to find why but i dont see why...
    all websites goes to apaches documentroot ... no vhosts is loaded.

    [email protected]:~# apt-get dist-upgrade
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    Calculating upgrade... Done
    The following packages will be REMOVED:
    libapache2-mod-ruby libapache2-mod-suphp libperl5.14
    The following NEW packages will be installed:
    apache2-bin apache2-data apache2-suexec-pristine imagemagick-6.q16
    init-system-helpers libalgorithm-c3-perl libapparmor1 libarchive-extract-perl
    libasprintf-dev libboost-iostreams1.55.0 libcgi-fast-perl libcgi-pm-perl
    libclass-c3-perl libclass-c3-xs-perl libcpan-meta-perl libdata-optlist-perl
    libdata-section-perl libestr0 libfcgi-perl libfftw3-double3 libgettextpo-dev
    libgraphite2-3 libharfbuzz0b libicu52 libjson-c2 liblog-message-perl
    liblog-message-simple-perl liblogging-stdlog0 liblognorm1 liblua5.1-0
    libmagickcore-6.q16-2 libmagickcore-6.q16-2-extra libmagickwand-6.q16-2
    libmemcached11 libmemcachedutil2 libmodule-build-perl libmodule-pluggable-perl
    libmodule-signature-perl libmro-compat-perl libpackage-constants-perl libpango-1.0-0
    libpangocairo-1.0-0 libpangoft2-1.0-0 libpangox-1.0-0 libpangoxft-1.0-0
    libparams-util-perl libperl5.20 libpod-latex-perl libpod-readme-perl libpsl0
    libregexp-common-perl libsoftware-license-perl libsub-exporter-perl
    libsub-install-perl libterm-readkey-perl libterm-ui-perl libtext-soundex-perl
    libtext-template-perl libtirpc1 openssh-sftp-server php5-json php5-readline rename
    The following packages will be upgraded:
    acpid apache2 apache2-mpm-prefork apache2-suexec apache2.2-bin apache2.2-common apt
    apt-utils aptitude aptitude-common build-essential cron dpkg gettext imagemagick
    libalgorithm-diff-xs-perl libapache2-mod-fcgid libapache2-mod-perl2
    libapache2-mod-php5 libapt-pkg4.12 libasprintf0c2 libbsd-resource-perl libcwidget3
    libdbd-mysql-perl libdbi-perl libept1.4.12 libfile-fcntllock-perl libgd3
    libgettextpo0 libhtml-parser-perl libio-socket-ssl-perl liblocale-gettext-perl
    libnet-ssleay-perl libopenexr6 libpango1.0-0 libpaper1 librsvg2-2 librsvg2-common
    libsocket-perl libtext-charwidth-perl libtext-iconv-perl libuuid-perl libxapian22
    memcached mysql-client-5.5 mysql-server-5.5 openbsd-inetd openssh-client
    openssh-server perl perl-base perl-modules php-pear php5 php5-cgi php5-cli
    php5-common php5-curl php5-fpm php5-gd php5-imagick php5-imap php5-mcrypt
    php5-memcache php5-memcached php5-mongo php5-mysql quota rsyslog wget
    70 upgraded, 63 newly installed, 3 to remove and 0 not upgraded.
    Need to get 55.6 MB of archives.
    After this operation, 55.9 MB of additional disk space will be used.
    Do you want to continue [Y/n]?
     
  14. till

    till Super Moderator Staff Member ISPConfig Developer

    you have to run a ispconfig update afterwards with "reconfigure services". Then login to ispconfig, go to tools > resync to write the website config files again in the new syntax for apache 2.4.
     
  15. n30

    n30 New Member

    if i run ispconfig_update.sh it says im up to date. so nothing to do ... is there any way to force it to update?
     
  16. Jesse Norell

    Jesse Norell Active Member

    Assuming you're running the stable version (not 3.1 beta/git):
    Code:
    cd /tmp
    wget http://www.ispconfig.org/downloads/ISPConfig-3-stable.tar.gz
    tar xvfz ISPConfig-3-stable.tar.gz
    cd ispconfig3_install/install
    php -q update.php
     
  17. n30

    n30 New Member

    ill try it out ...
     
  18. n30

    n30 New Member

    did not work neither. still same issue.... admin interface wont work ... nothing else neither.
     
  19. n30

    n30 New Member

    can i not do a brand new install and move all data / settings from the old box to the new ?
     
  20. Jesse Norell

    Jesse Norell Active Member

    Yes, you can, search the forums for migrating to a new server to find the locations of data, etc.
     

Share This Page